- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libcdr::CDRPath Class Reference

`#include <CDRPath.h>`

Inheritance diagram for libcdr::CDRPath:

## Public Member Functions
| CDRPath ()
| CDRPath (const CDRPath &path)
| ~CDRPath ()
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCubicBezierTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendQuadraticBezierTo (double x1, double y1, double x, double y)
void | appendSplineTo (std::vector< std::pair< double, double > > &points)
void | appendArcTo (double rx, double ry, double rotation, bool longAngle, bool sweep, double x, double y)
void | appendClosePath ()
void | appendPath (const CDRPath &path)
void | writeOut (WPXPropertyListVector &vec) const
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
void | clear ()
bool | empty ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
std::vector< CDRPathElement * > | m_elements

## Constructor & Destructor Documentation

libcdr::CDRPath::CDRPath | ( |  | ) |
| inline

libcdr::CDRPath::CDRPath | ( | const CDRPath & | path | ) |

libcdr::CDRPath::~CDRPath | ( |  | ) |

## Member Function Documentation

void libcdr::CDRPath::appendArcTo | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | longAngle,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |

void libcdr::CDRPath::appendClosePath | ( |  | ) |

Referenced by libcdr::CDRPolygon::create().

void libcdr::CDRPath::appendCubicBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

void libcdr::CDRPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libcdr::CDRSplineData::create().

void libcdr::CDRPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libcdr::CDRSplineData::create().

void libcdr::CDRPath::appendPath | ( | const CDRPath & | path | ) |

Referenced by libcdr::CDRPolygon::create().

void libcdr::CDRPath::appendQuadraticBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libcdr::CDRSplineData::create().

void libcdr::CDRPath::appendSplineTo | ( | std::vector< std::pair< double, double > > & | points | ) |

Referenced by libcdr::CDRSplineData::create().

void libcdr::CDRPath::clear | ( |  | ) |

libcdr::CDRPathElement * libcdr::CDRPath::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

bool libcdr::CDRPath::empty | ( |  | ) |

void libcdr::CDRPath::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRPolygon::create().

void libcdr::CDRPath::writeOut | ( | WPXPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

std::vector<CDRPathElement *> libcdr::CDRPath::m_elements
| private

Referenced by appendPath(), and CDRPath().

The documentation for this class was generated from the following files:

- CDRPath.h
- CDRPath.cpp